sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"prerequisities","id":"Prerequisities"},{"anchor":"supervisor-configuration-and-operation","id":"Supervisor configuration and operation"},{"anchor":"private-use-currencies","id":"Private Use Currencies"},{"anchor":"exchange-rates-and-currency-conversion","id":"Exchange rates and currency conversion"},{"anchor":"configuration","id":"Configuration"},{"anchor":"the-exchange-rates-service-process-supervision-and-startup","id":"The Exchange rates service process supervision and startup"},{"anchor":"using-ecto-or-other-applications-from-within-the-callback-module","id":"Using Ecto or other applications from within the callback module"},{"anchor":"api-usage-examples","id":"API Usage Examples"},{"anchor":"subscriptions","id":"Subscriptions"},{"anchor":"serializing-to-a-database-with-ecto","id":"Serializing to a database with Ecto"},{"anchor":"installation","id":"Installation"},{"anchor":"why-yet-another-money-package","id":"Why yet another Money package?"},{"anchor":"falsehoods-programmers-believe-about-prices","id":"Falsehoods programmers believe about prices"}],"id":"readme","title":"Introduction to Money"},{"group":"","headers":[{"anchor":"money-v5-9-0","id":"Money v5.9.0"},{"anchor":"money-v5-8-0","id":"Money v5.8.0"},{"anchor":"money-v5-7-4","id":"Money v5.7.4"},{"anchor":"money-v5-7-3","id":"Money v5.7.3"},{"anchor":"money-v5-7-2","id":"Money v5.7.2"},{"anchor":"money-v5-7-1","id":"Money v5.7.1"},{"anchor":"money-v5-7-0","id":"Money v5.7.0"},{"anchor":"money-v5-6-0","id":"Money v5.6.0"},{"anchor":"money-v5-5-5","id":"Money v5.5.5"},{"anchor":"money-v5-5-4","id":"Money v5.5.4"},{"anchor":"money-v5-5-3","id":"Money v5.5.3"},{"anchor":"money-v5-5-2","id":"Money v5.5.2"},{"anchor":"money-v5-5-1","id":"Money v5.5.1"},{"anchor":"money-v5-5-0","id":"Money v5.5.0"},{"anchor":"money-v5-4-1","id":"Money v5.4.1"},{"anchor":"money-v5-4-0","id":"Money v5.4.0"},{"anchor":"money-v5-3-2","id":"Money v5.3.2"},{"anchor":"money-v5-3-1","id":"Money v5.3.1"},{"anchor":"money-v5-3-0","id":"Money v5.3.0"},{"anchor":"money-v5-2-1","id":"Money v5.2.1"},{"anchor":"money-v5-2-0","id":"Money v5.2.0"},{"anchor":"money-v5-1-0","id":"Money v5.1.0"},{"anchor":"money-v5-0-2","id":"Money v5.0.2"},{"anchor":"money-v5-0-1","id":"Money v5.0.1"},{"anchor":"money-v5-0-0","id":"Money v5.0.0"},{"anchor":"money-v4-4-2","id":"Money v4.4.2"},{"anchor":"money-v4-4-1","id":"Money v4.4.1"},{"anchor":"money-v4-4-0","id":"Money v4.4.0"}],"id":"changelog","title":"Changelog"},{"group":"","headers":[{"anchor":"license","id":"License"}],"id":"license","title":"LICENSE"}],"modules":[{"group":"","id":"Money","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:amount/0","id":"amount/0"},{"anchor":"t:currency_code/0","id":"currency_code/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"abs/1","id":"abs/1"},{"anchor":"add/2","id":"add/2"},{"anchor":"add!/2","id":"add!/2"},{"anchor":"cmp/2","id":"cmp/2"},{"anchor":"cmp!/2","id":"cmp!/2"},{"anchor":"compare/2","id":"compare/2"},{"anchor":"compare!/2","id":"compare!/2"},{"anchor":"cross_rate/3","id":"cross_rate/3"},{"anchor":"cross_rate!/3","id":"cross_rate!/3"},{"anchor":"default_backend/0","id":"default_backend/0"},{"anchor":"div/2","id":"div/2"},{"anchor":"div!/2","id":"div!/2"},{"anchor":"equal?/2","id":"equal?/2"},{"anchor":"from_float/3","id":"from_float/3"},{"anchor":"from_float!/3","id":"from_float!/3"},{"anchor":"from_integer/3","id":"from_integer/3"},{"anchor":"get_env/3","id":"get_env/3"},{"anchor":"known_currencies/0","id":"known_currencies/0"},{"anchor":"known_current_currencies/0","id":"known_current_currencies/0"},{"anchor":"known_historic_currencies/0","id":"known_historic_currencies/0"},{"anchor":"known_tender_currencies/0","id":"known_tender_currencies/0"},{"anchor":"mult/2","id":"mult/2"},{"anchor":"mult!/2","id":"mult!/2"},{"anchor":"new/3","id":"new/3"},{"anchor":"new!/3","id":"new!/3"},{"anchor":"normalize/1","id":"normalize/1"},{"anchor":"parse/2","id":"parse/2"},{"anchor":"put_format_options/2","id":"put_format_options/2"},{"anchor":"put_fraction/2","id":"put_fraction/2"},{"anchor":"reduce/1","id":"reduce/1"},{"anchor":"round/2","id":"round/2"},{"anchor":"split/2","id":"split/2"},{"anchor":"sub/2","id":"sub/2"},{"anchor":"sub!/2","id":"sub!/2"},{"anchor":"sum/2","id":"sum/2"},{"anchor":"to_currency/3","id":"to_currency/3"},{"anchor":"to_currency!/3","id":"to_currency!/3"},{"anchor":"to_currency_code/1","id":"to_currency_code/1"},{"anchor":"to_decimal/1","id":"to_decimal/1"},{"anchor":"to_integer_exp/2","id":"to_integer_exp/2"},{"anchor":"to_string/2","id":"to_string/2"},{"anchor":"to_string!/2","id":"to_string!/2"},{"anchor":"validate_currency/1","id":"validate_currency/1"},{"anchor":"zero/2","id":"zero/2"}]}],"sections":[],"title":"Money"},{"group":"","id":"Money.Application","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"start/2","id":"start/2"}]}],"sections":[],"title":"Money.Application"},{"group":"","id":"Money.Currency","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"currency_for_code/1","id":"currency_for_code/1"},{"anchor":"known_current_currencies/0","id":"known_current_currencies/0"},{"anchor":"known_historic_currencies/0","id":"known_historic_currencies/0"},{"anchor":"known_tender_currencies/0","id":"known_tender_currencies/0"}]}],"sections":[],"title":"Money.Currency"},{"group":"","id":"Money.Financial","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"future_value/2","id":"future_value/2"},{"anchor":"future_value/3","id":"future_value/3"},{"anchor":"interest_rate/3","id":"interest_rate/3"},{"anchor":"internal_rate_of_return/1","id":"internal_rate_of_return/1"},{"anchor":"net_present_value/2","id":"net_present_value/2"},{"anchor":"net_present_value/3","id":"net_present_value/3"},{"anchor":"net_present_value/4","id":"net_present_value/4"},{"anchor":"payment/3","id":"payment/3"},{"anchor":"periods/3","id":"periods/3"},{"anchor":"present_value/2","id":"present_value/2"},{"anchor":"present_value/3","id":"present_value/3"}]}],"sections":[],"title":"Money.Financial"},{"group":"","id":"Money.Sigil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"sigil_M/2","id":"sigil_M/2"},{"anchor":"validate_currency!/1","id":"validate_currency!/1"}]}],"sections":[],"title":"Money.Sigil"},{"group":"Exchange Rates","id":"Money.ExchangeRates","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:decode_rates/1","id":"decode_rates/1"},{"anchor":"c:get_historic_rates/2","id":"get_historic_rates/2"},{"anchor":"c:get_latest_rates/1","id":"get_latest_rates/1"},{"anchor":"c:init/1","id":"init/1"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"config/0","id":"config/0"},{"anchor":"default_config/0","id":"default_config/0"},{"anchor":"historic_rates/1","id":"historic_rates/1"},{"anchor":"last_updated/0","id":"last_updated/0"},{"anchor":"latest_rates/0","id":"latest_rates/0"},{"anchor":"latest_rates_available?/0","id":"latest_rates_available?/0"}]}],"sections":[{"anchor":"module-open-exchange-rates","id":"Open Exchange Rates"},{"anchor":"module-managing-the-configuration-at-runtime","id":"Managing the configuration at runtime"}],"title":"Money.ExchangeRates"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Cache","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:historic_rates/1","id":"historic_rates/1"},{"anchor":"c:init/0","id":"init/0"},{"anchor":"c:latest_rates/0","id":"latest_rates/0"},{"anchor":"c:store_historic_rates/2","id":"store_historic_rates/2"},{"anchor":"c:store_latest_rates/2","id":"store_latest_rates/2"},{"anchor":"c:terminate/0","id":"terminate/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"cache/0","id":"cache/0"},{"anchor":"historic_rates/1","id":"historic_rates/1"},{"anchor":"latest_rates/0","id":"latest_rates/0"}]}],"sections":[],"title":"Money.ExchangeRates.Cache"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Cache.Dets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/1","id":"get/1"},{"anchor":"historic_rates/1","id":"historic_rates/1"},{"anchor":"init/0","id":"init/0"},{"anchor":"last_updated/0","id":"last_updated/0"},{"anchor":"latest_rates/0","id":"latest_rates/0"},{"anchor":"put/2","id":"put/2"},{"anchor":"store_historic_rates/2","id":"store_historic_rates/2"},{"anchor":"store_latest_rates/2","id":"store_latest_rates/2"},{"anchor":"terminate/0","id":"terminate/0"}]}],"sections":[],"title":"Money.ExchangeRates.Cache.Dets"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Cache.Ets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/1","id":"get/1"},{"anchor":"historic_rates/1","id":"historic_rates/1"},{"anchor":"init/0","id":"init/0"},{"anchor":"last_updated/0","id":"last_updated/0"},{"anchor":"latest_rates/0","id":"latest_rates/0"},{"anchor":"put/2","id":"put/2"},{"anchor":"store_historic_rates/2","id":"store_historic_rates/2"},{"anchor":"store_latest_rates/2","id":"store_latest_rates/2"},{"anchor":"terminate/0","id":"terminate/0"}]}],"sections":[],"title":"Money.ExchangeRates.Cache.Ets"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Cache.EtsDets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"define_common_functions/0","id":"define_common_functions/0"}]}],"sections":[],"title":"Money.ExchangeRates.Cache.EtsDets"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Callback","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:historic_rates_retrieved/2","id":"historic_rates_retrieved/2"},{"anchor":"c:latest_rates_retrieved/2","id":"latest_rates_retrieved/2"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"historic_rates_retrieved/2","id":"historic_rates_retrieved/2"},{"anchor":"latest_rates_retrieved/2","id":"latest_rates_retrieved/2"}]}],"sections":[],"title":"Money.ExchangeRates.Callback"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Config","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"Money.ExchangeRates.Config"},{"group":"Exchange Rates","id":"Money.ExchangeRates.OpenExchangeRates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"decode_rates/1","id":"decode_rates/1"},{"anchor":"get_historic_rates/2","id":"get_historic_rates/2"},{"anchor":"get_latest_rates/1","id":"get_latest_rates/1"},{"anchor":"init/1","id":"init/1"}]}],"sections":[{"anchor":"module-required-configuration","id":"Required configuration:"}],"title":"Money.ExchangeRates.OpenExchangeRates"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Retriever","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"certificate_store/0","id":"certificate_store/0"},{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"config/0","id":"config/0"},{"anchor":"delete/0","id":"delete/0"},{"anchor":"historic_rates/1","id":"historic_rates/1"},{"anchor":"historic_rates/2","id":"historic_rates/2"},{"anchor":"latest_rates/0","id":"latest_rates/0"},{"anchor":"reconfigure/1","id":"reconfigure/1"},{"anchor":"restart/0","id":"restart/0"},{"anchor":"retrieve_rates/2","id":"retrieve_rates/2"},{"anchor":"start/1","id":"start/1"},{"anchor":"stop/0","id":"stop/0"}]}],"sections":[],"title":"Money.ExchangeRates.Retriever"},{"group":"Exchange Rates","id":"Money.ExchangeRates.Supervisor","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"default_supervisor/0","id":"default_supervisor/0"},{"anchor":"delete_retriever/0","id":"delete_retriever/0"},{"anchor":"restart_retriever/0","id":"restart_retriever/0"},{"anchor":"retriever_running?/0","id":"retriever_running?/0"},{"anchor":"retriever_status/0","id":"retriever_status/0"},{"anchor":"start_link/0","id":"start_link/0"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"start_retriever/1","id":"start_retriever/1"},{"anchor":"stop/1","id":"stop/1"},{"anchor":"stop_retriever/0","id":"stop_retriever/0"}]}],"sections":[],"title":"Money.ExchangeRates.Supervisor"},{"group":"Subscriptions","id":"Money.Subscription","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:id/0","id":"id/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"__struct__/0","id":"%Money.Subscription{}"},{"anchor":"cancel_pending_plan/2","id":"cancel_pending_plan/2"},{"anchor":"change_plan/3","id":"change_plan/3"},{"anchor":"change_plan!/3","id":"change_plan!/3"},{"anchor":"current_interval_start_date/2","id":"current_interval_start_date/2"},{"anchor":"current_plan/2","id":"current_plan/2"},{"anchor":"current_plan_start_date/1","id":"current_plan_start_date/1"},{"anchor":"days_remaining/4","id":"days_remaining/4"},{"anchor":"latest_plan/1","id":"latest_plan/1"},{"anchor":"new/3","id":"new/3"},{"anchor":"new!/3","id":"new!/3"},{"anchor":"next_interval_starts/3","id":"next_interval_starts/3"},{"anchor":"plan_days/3","id":"plan_days/3"},{"anchor":"plan_pending?/2","id":"plan_pending?/2"}]}],"sections":[],"title":"Money.Subscription"},{"group":"Subscriptions","id":"Money.Subscription.Change","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"__struct__/0","id":"%Money.Subscription.Change{}"}]}],"sections":[],"title":"Money.Subscription.Change"},{"group":"Subscriptions","id":"Money.Subscription.DateError","sections":[],"title":"Money.Subscription.DateError"},{"group":"Subscriptions","id":"Money.Subscription.NoCurrentPlan","sections":[],"title":"Money.Subscription.NoCurrentPlan"},{"group":"Subscriptions","id":"Money.Subscription.Plan","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:interval/0","id":"interval/0"},{"anchor":"t:interval_count/0","id":"interval_count/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"__struct__/0","id":"%Money.Subscription.Plan{}"},{"anchor":"new/3","id":"new/3"},{"anchor":"new!/3","id":"new!/3"}]}],"sections":[],"title":"Money.Subscription.Plan"},{"group":"Subscriptions","id":"Money.Subscription.PlanError","sections":[],"title":"Money.Subscription.PlanError"},{"group":"Subscriptions","id":"Money.Subscription.PlanPending","sections":[],"title":"Money.Subscription.PlanPending"},{"group":"Exceptions","id":"Money.ExchangeRateError","sections":[],"title":"Money.ExchangeRateError"},{"group":"Exceptions","id":"Money.Invalid","sections":[],"title":"Money.Invalid"},{"group":"Exceptions","id":"Money.InvalidAmountError","sections":[],"title":"Money.InvalidAmountError"},{"group":"Exceptions","id":"Money.InvalidDigitsError","sections":[],"title":"Money.InvalidDigitsError"},{"group":"Exceptions","id":"Money.ParseError","sections":[],"title":"Money.ParseError"},{"group":"Exceptions","id":"Money.UnknownCurrencyError","sections":[],"title":"Money.UnknownCurrencyError"}],"tasks":[]}